org.eclipse.incquery.patternlanguage.patternLanguage

## Interface PathExpressionHead

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, PathExpressionElement
  All Known Implementing Classes:
    PathExpressionHeadImpl

      public interface PathExpressionHead
      extends PathExpressionElement

  A representation of the model object 'Path Expression Head'.

  The following features are supported:

  - `Src`
  - `Dst`
  See Also:
    `PatternLanguagePackage.getPathExpressionHead()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValueReference` | `getDst()` Returns the value of the 'Dst' containment reference.
    `VariableReference` | `getSrc()` Returns the value of the 'Src' containment reference.
    `void` | `setDst(ValueReference value)` Sets the value of the '`Dst`' containment reference.
    `void` | `setSrc(VariableReference value)` Sets the value of the '`Src`' containment reference.

    - ### Methods inherited from interface org.eclipse.incquery.patternlanguage.patternLanguage.PathExpressionElement

      `getTail, getType, setTail, setType`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getSrc

          VariableReference getSrc()

      Returns the value of the 'Src' containment reference.

      If the meaning of the 'Src' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Src' containment reference.
      See Also:
        `setSrc(VariableReference)`, `PatternLanguagePackage.getPathExpressionHead_Src()`

    - #### setSrc

          void setSrc(VariableReference value)

      Sets the value of the '`Src`' containment reference.
      Parameters:
        `value` - the new value of the 'Src' containment reference.
      See Also:
        `getSrc()`

    - #### getDst

          ValueReference getDst()

      Returns the value of the 'Dst' containment reference.

      If the meaning of the 'Dst' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Dst' containment reference.
      See Also:
        `setDst(ValueReference)`, `PatternLanguagePackage.getPathExpressionHead_Dst()`

    - #### setDst

          void setDst(ValueReference value)

      Sets the value of the '`Dst`' containment reference.
      Parameters:
        `value` - the new value of the 'Dst' containment reference.
      See Also:
        `getDst()`